﻿using UnityEngine;

/**
 * \file CameraMenu.cs
 * \brief Permet de mettre la caméra en mouvement sur le menu.
 * 
 * \version 1.0
 * \author Julien SCHUBNEL
 */

public class CameraMenu : MonoBehaviour
{
    /** Point de là ou part la caméra.*/
    public SpawnPlayer spawn;
    /** Point ou la caméra va.*/
    public LoadSpecificScene fin;
    /** Le temps de décalage entre la position de la caméra et la position du joueur. \n
    Doit être indiquer dans Unity.*/
    public float timeOffSet;
    /** La position de la caméra en focntion du joueur. \n
     Peut ête modifié pour donner un effet dans Unity.*/
    public Vector3 posOffSet;
    /** La vitesse de la caméra*/
    private Vector3 velocity;
    /** La grid a affiché.*/
    public GameObject grid;
    void Start()
    {
        /** On active la grid.*/
        grid.SetActive(true);
    }

    /** Update is called once per frame.*/
    void Update()
    {   
        /** On déplace la caméra.*/
        transform.position = Vector3.SmoothDamp(transform.position, fin.transform.position + posOffSet, ref velocity, timeOffSet);
    }
}
